error while loading shared libraries: libssl.so.0.9.8:

parsajax

Verified User
Joined
Jun 11, 2008
Messages
20
i have debian 7 os on my server
i was installed da v 1.44.3 since 2013 on my server and it was ok
today i updated my da from directadmin panel and then my directadmin went down and not accessible
buy apache and php and mysql server work true

when i want to restart directadmin from ssh i get this error :

root@server:/usr/local/directadmin/scripts# service directadmin restart
Stopping DirectAdmin: [ FAILED ]
Starting DirectAdmin: /usr/local/directadmin/directadmin: error while loading shared libraries: libssl.so.0.9.8: cannot open shared object file: No such file or directory
[ FAILED ]

i did some search and test some solution but i could not solve the problem.
please help me.
 

parsajax

Verified User
Joined
Jun 11, 2008
Messages
20
it was working on version 1.44.3 and i didn't change os or os version
i just updated da via directadmin update page.
please help me my panel is not accessible
thank you
 

zEitEr

Super Moderator
Joined
Apr 11, 2005
Messages
13,853
Location
GMT +7.00
Did you check OS versions?

Even if you did not change OS version it does not mean that your issue is not related to OS mismatch.

Debian 7 was released on May 4th, 2013. Are you sure that you installed Directadmin on Debian 7? Or it was Debian 6?

For now Debian 7 supports Openssl 1.0.1.

Debian 6 is still supported by Directadmin till February 2017 (http://help.directadmin.com/item.php?id=497) and has in deb-packages openssl 0.9.8.

Thus your if Directadmin is build against libssl.so.0.9.8 then your license is most likely for Debian 6.
Of course you can use symlinks, still you'd better update your License.
 
Top